%define module_name Linux-Systemd
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Devel/AssertOS.pm) perl(Devel/CheckOS.pm) perl(Exporter.pm) perl(ExtUtils/PkgConfig.pm) perl(File/Basename.pm) perl(File/Find/Rule.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Module/Build.pm) perl(Moo.pm) perl(Test/CheckDeps.pm) perl(Test/Fatal.pm) perl(XSLoader.pm) perl(base.pm) perl(if.pm) perl(strictures.pm) pkgconfig(libsystemd)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.201600
Release: alt4
Summary: Bindings for C<systemd> APIs
Group: Development/Perl
License: see LICENSE
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/I/IO/IOANR/%{module_name}-%{version}.tar.gz

%description
The following `systemd' components are wrapped to some to degree.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.md Changes
%perl_vendor_archlib/L*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 1.201600-alt4
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 1.201600-alt3
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 1.201600-alt2
- rebuild with perl 5.30

* Sat Jun 13 2020 Igor Vlasenko <viy@altlinux.ru> 1.201600-alt1
- updated by package builder

* Sat Jun 29 2019 Igor Vlasenko <viy@altlinux.ru> 1.191790-alt1
- updated by package builder

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 1.172840-alt1.1
- rebuild with perl 5.28.1

* Wed Dec 20 2017 Igor Vlasenko <viy@altlinux.ru> 1.172840-alt1
- initial import by package builder

